Class | Spec::Mocks::MatcherConstraint
In: | lib/spec/mocks/argument_expectation.rb
Parent: | Object

### Methods

matches? new

### Public Class methods

new(matcher)

[Source]

       # File lib/spec/mocks/argument_expectation.rb, line 5
    5:       def initialize(matcher)
    6:         @matcher = matcher
    7:       end

### Public Instance methods

matches?(value)

[Source]

        # File lib/spec/mocks/argument_expectation.rb, line 9
     9:       def matches?(value)
    10:         @matcher.matches?(value)
    11:       end

[Validate]